## r-bioc-cner 1.18.1+dfsg

=== DESCRIPTION ===
Package: CNEr
Version: 1.18.1
Date: 2018-11-01
Title: CNE Detection and Visualization
Description: Large-scale identification and advanced visualization 
             of sets of conserved noncoding elements.
Author: Ge Tan <ge_tan@live.com>
Maintainer: Ge Tan <ge_tan@live.com>
Imports: Biostrings (>= 2.33.4), DBI (>= 0.7), RSQLite (>= 0.11.4),
        GenomeInfoDb (>= 1.1.3), GenomicRanges (>= 1.23.16),
        rtracklayer (>= 1.25.5), XVector (>= 0.5.4), GenomicAlignments
        (>= 1.1.9), methods, S4Vectors (>= 0.13.13), IRanges (>=
        2.5.27), readr (>= 0.2.2), BiocGenerics, tools, parallel,
        reshape2 (>= 1.4.1), ggplot2 (>= 2.1.0), poweRlaw (>= 0.60.3),
        annotate (>= 1.50.0), GO.db (>= 3.3.0), R.utils (>= 2.3.0),
        KEGGREST (>= 1.14.0)
Depends: R (>= 3.4)
Suggests: Gviz (>= 1.7.4), BiocStyle, knitr, rmarkdown, testthat,
        BSgenome.Drerio.UCSC.danRer10, BSgenome.Hsapiens.UCSC.hg38,
        TxDb.Drerio.UCSC.danRer10.refGene, BSgenome.Hsapiens.UCSC.hg19,
        BSgenome.Ggallus.UCSC.galGal3
LinkingTo: S4Vectors, IRanges, XVector
VignetteBuilder: knitr
License: GPL-2 | file LICENSE
License_restricts_use: yes
URL: https://github.com/ge11232002/CNEr
BugReports: https://github.com/ge11232002/CNEr/issues
Type: Package
biocViews: GeneRegulation, Visualization, DataImport
NeedsCompilation: yes
LazyData: no
Collate: GRangePairs-class.R GRangePairs-methods.R Axt-class.R
        CNE-class.R utils.R ceScan.R plot.R makeGeneDbFromUCSC.R
        IO-methods.R scoringMatrix.R subAxt-methods.R Axt-methods.R
        DB.R AssemblyStats.R GRB.R WholeGenomeAlignment.R Ancora.R
        CNE-methods.R GO.R KEGG.R
git_url: https://git.bioconductor.org/packages/CNEr
git_branch: RELEASE_3_8
git_last_commit: 66aa88a
git_last_commit_date: 2018-11-01
Date/Publication: 2018-11-01
Packaged: 2018-11-02 00:06:25 UTC; biocbuild

=== debian/changelog ===
r-bioc-cner (1.18.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends

 -- Dylan Aïssi <daissi@debian.org>  Wed, 14 Nov 2018 08:01:57 +0100

r-bioc-cner (1.16.1+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #900412)

 -- Andreas Tille <tille@debian.org>  Sun, 09 Sep 2018 20:31:24 +0200

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https:$1packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/CNEr.html .*/CNEr_(.*).tar.gz

## r-bioc-cner 1.20.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: CNEr
-Version: 1.18.1
+Version: 1.20.0
 Date: 2018-11-01
 Title: CNE Detection and Visualization
 Description: Large-scale identification and advanced visualization 
@@ -35,8 +35,8 @@
         DB.R AssemblyStats.R GRB.R WholeGenomeAlignment.R Ancora.R
         CNE-methods.R GO.R KEGG.R
 git_url: https://git.bioconductor.org/packages/CNEr
-git_branch: RELEASE_3_8
-git_last_commit: 66aa88a
-git_last_commit_date: 2018-11-01
-Date/Publication: 2018-11-01
-Packaged: 2018-11-02 00:06:25 UTC; biocbuild
+git_branch: RELEASE_3_9
+git_last_commit: 9c25d8e
+git_last_commit_date: 2019-05-02
+Date/Publication: 2019-05-02
+Packaged: 2019-05-03 00:54:11 UTC; biocbuild

=== debian/changelog ===
r-bioc-cner (1.20.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0
  * rename debian/tests/control.autodep8 to debian/tests/control
  * Deactivated autopkgtest since the needed data packages are not available

 -- Andreas Tille <tille@debian.org>  Fri, 19 Jul 2019 10:35:18 +0200

=== debian/control ===
Source: r-bioc-cner
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r (>= 20180527),
               r-base-dev,
               r-bioc-biostrings (>= 2.33.4),
               r-cran-dbi (>= 0.7),
               r-cran-rsqlite,
               r-bioc-genomeinfodb (>= 1.1.3),
               r-bioc-genomicranges (>= 1.23.16),
               r-bioc-rtracklayer (>= 1.25.5),
               r-bioc-xvector (>= 0.5.4),
               r-bioc-genomicalignments (>= 1.1.9),
               r-bioc-s4vectors (>= 0.13.13),
               r-bioc-iranges (>= 2.5.27),
               r-cran-readr,
               r-bioc-biocgenerics,
               r-cran-reshape2 (>= 1.4.1),
               r-cran-ggplot2 (>= 2.1.0),
               r-cran-powerlaw,
               r-bioc-annotate,
               r-bioc-go.db,
               r-cran-r.utils,
               r-bioc-keggrest
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-cner
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-cner.git
Homepage: https://bioconductor.org/packages/CNEr/

Package: r-bioc-cner
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: CNE Detection and Visualization
 Large-scale identification and advanced visualization
 of sets of conserved noncoding elements.

## r-bioc-cner 1.22.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: CNEr
-Version: 1.20.0
-Date: 2018-11-01
+Version: 1.22.0
+Date: 2019-09-12
 Title: CNE Detection and Visualization
 Description: Large-scale identification and advanced visualization 
              of sets of conserved noncoding elements.
@@ -35,8 +35,8 @@
         DB.R AssemblyStats.R GRB.R WholeGenomeAlignment.R Ancora.R
         CNE-methods.R GO.R KEGG.R
 git_url: https://git.bioconductor.org/packages/CNEr
-git_branch: RELEASE_3_9
-git_last_commit: 9c25d8e
-git_last_commit_date: 2019-05-02
-Date/Publication: 2019-05-02
-Packaged: 2019-05-03 00:54:11 UTC; biocbuild
+git_branch: RELEASE_3_10
+git_last_commit: fcde299
+git_last_commit_date: 2019-10-29
+Date/Publication: 2019-10-29
+Packaged: 2019-10-30 00:50:58 UTC; biocbuild

=== debian/changelog ===
r-bioc-cner (1.22.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Tue, 12 Nov 2019 07:26:24 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r (>= 20180527),
                r-base-dev,
                r-bioc-biostrings (>= 2.33.4),
@@ -26,7 +26,7 @@
                r-bioc-go.db,
                r-cran-r.utils,
                r-bioc-keggrest
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-cner
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-cner.git
 Homepage: https://bioconductor.org/packages/CNEr/

## r-bioc-cner 1.24.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: CNEr
-Version: 1.22.0
+Version: 1.24.0
 Date: 2019-09-12
 Title: CNE Detection and Visualization
 Description: Large-scale identification and advanced visualization 
@@ -35,8 +35,8 @@
         DB.R AssemblyStats.R GRB.R WholeGenomeAlignment.R Ancora.R
         CNE-methods.R GO.R KEGG.R
 git_url: https://git.bioconductor.org/packages/CNEr
-git_branch: RELEASE_3_10
-git_last_commit: fcde299
-git_last_commit_date: 2019-10-29
-Date/Publication: 2019-10-29
-Packaged: 2019-10-30 00:50:58 UTC; biocbuild
+git_branch: RELEASE_3_11
+git_last_commit: 4d2a728
+git_last_commit_date: 2020-04-27
+Date/Publication: 2020-04-27
+Packaged: 2020-04-28 01:06:39 UTC; biocbuild

=== debian/changelog ===
r-bioc-cner (1.24.0+dfsg-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 May 2020 06:06:23 +0000

r-bioc-cner (1.24.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Wed, 20 May 2020 18:14:18 +0200

r-bioc-cner (1.22.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add patch to fix autopkgtest.
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 15 Mar 2020 08:16:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: r-bioc-cner
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
@@ -26,10 +27,11 @@
                r-bioc-go.db,
                r-cran-r.utils,
                r-bioc-keggrest
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-cner
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-cner.git
 Homepage: https://bioconductor.org/packages/CNEr/
+Rules-Requires-Root: no
 
 Package: r-bioc-cner
 Architecture: any

## r-bioc-cner 1.26.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: CNEr
-Version: 1.24.0
+Version: 1.26.0
 Date: 2019-09-12
 Title: CNE Detection and Visualization
 Description: Large-scale identification and advanced visualization 
@@ -35,8 +35,8 @@
         DB.R AssemblyStats.R GRB.R WholeGenomeAlignment.R Ancora.R
         CNE-methods.R GO.R KEGG.R
 git_url: https://git.bioconductor.org/packages/CNEr
-git_branch: RELEASE_3_11
-git_last_commit: 4d2a728
-git_last_commit_date: 2020-04-27
-Date/Publication: 2020-04-27
-Packaged: 2020-04-28 01:06:39 UTC; biocbuild
+git_branch: RELEASE_3_12
+git_last_commit: e5e582d
+git_last_commit_date: 2020-10-27
+Date/Publication: 2020-10-27
+Packaged: 2020-10-27 23:19:38 UTC; biocbuild

=== debian/changelog ===
r-bioc-cner (1.26.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 03 Nov 2020 13:43:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: r-bioc-cner
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r (>= 20180527),
                r-base-dev,
                r-bioc-biostrings (>= 2.33.4),

## r-bioc-cner 1.30.0%2Bdfsg

=== debian/control ===
Source: r-bioc-cner
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biostrings,
               r-cran-dbi,
               r-cran-rsqlite,
               r-bioc-genomeinfodb,
               r-bioc-genomicranges,
               r-bioc-rtracklayer,
               r-bioc-xvector,
               r-bioc-genomicalignments,
               r-bioc-s4vectors,
               r-bioc-iranges,
               r-cran-readr,
               r-bioc-biocgenerics,
               r-cran-reshape2,
               r-cran-ggplot2,
               r-cran-powerlaw,
               r-bioc-annotate,
               r-bioc-go.db,
               r-cran-r.utils,
               r-bioc-keggrest
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-cner
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-cner.git
Homepage: https://bioconductor.org/packages/CNEr/
Rules-Requires-Root: no

Package: r-bioc-cner
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: CNE Detection and Visualization
 Large-scale identification and advanced visualization
 of sets of conserved noncoding elements.

## r-bioc-cner 1.30.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: CNEr
-Version: 1.26.0
+Version: 1.30.0
 Date: 2019-09-12
 Title: CNE Detection and Visualization
 Description: Large-scale identification and advanced visualization 
@@ -35,8 +35,8 @@
         DB.R AssemblyStats.R GRB.R WholeGenomeAlignment.R Ancora.R
         CNE-methods.R GO.R KEGG.R
 git_url: https://git.bioconductor.org/packages/CNEr
-git_branch: RELEASE_3_12
-git_last_commit: e5e582d
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
-Packaged: 2020-10-27 23:19:38 UTC; biocbuild
+git_branch: RELEASE_3_14
+git_last_commit: e682f2a
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
+Packaged: 2021-10-26 21:08:59 UTC; biocbuild

=== debian/changelog ===
r-bioc-cner (1.30.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2021 20:50:50 +0100

r-bioc-cner (1.28.0+dfsg-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dh-r, r-bioc-biostrings,
      r-bioc-genomeinfodb, r-bioc-genomicalignments, r-bioc-genomicranges,
      r-bioc-iranges, r-bioc-rtracklayer, r-bioc-s4vectors, r-bioc-xvector,
      r-cran-ggplot2 and r-cran-reshape2.

  [ Nilesh Patra ]
  * d/control: Versioned B-D as per DESCRIPTION file

 -- Nilesh Patra <nilesh@debian.org>  Sat, 11 Sep 2021 21:53:40 +0530

## r-bioc-cner 1.32.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: CNEr
-Version: 1.30.0
-Date: 2019-09-12
+Version: 1.32.0
+Date: 2021-11-20
 Title: CNE Detection and Visualization
 Description: Large-scale identification and advanced visualization 
              of sets of conserved noncoding elements.
@@ -14,7 +14,7 @@
         reshape2 (>= 1.4.1), ggplot2 (>= 2.1.0), poweRlaw (>= 0.60.3),
         annotate (>= 1.50.0), GO.db (>= 3.3.0), R.utils (>= 2.3.0),
         KEGGREST (>= 1.14.0)
-Depends: R (>= 3.4)
+Depends: R (>= 3.5.0)
 Suggests: Gviz (>= 1.7.4), BiocStyle, knitr, rmarkdown, testthat,
         BSgenome.Drerio.UCSC.danRer10, BSgenome.Hsapiens.UCSC.hg38,
         TxDb.Drerio.UCSC.danRer10.refGene, BSgenome.Hsapiens.UCSC.hg19,
@@ -35,8 +35,8 @@
         DB.R AssemblyStats.R GRB.R WholeGenomeAlignment.R Ancora.R
         CNE-methods.R GO.R KEGG.R
 git_url: https://git.bioconductor.org/packages/CNEr
-git_branch: RELEASE_3_14
-git_last_commit: e682f2a
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
-Packaged: 2021-10-26 21:08:59 UTC; biocbuild
+git_branch: RELEASE_3_15
+git_last_commit: 1c92f3d
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
+Packaged: 2022-04-26 20:19:40 UTC; biocbuild

=== debian/changelog ===
r-bioc-cner (1.32.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 May 2022 11:59:50 +0200

## r-bioc-cner 1.34.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: CNEr
-Version: 1.32.0
-Date: 2021-11-20
+Version: 1.34.0
+Date: 2022-10-23
 Title: CNE Detection and Visualization
 Description: Large-scale identification and advanced visualization 
              of sets of conserved noncoding elements.
@@ -35,8 +35,8 @@
         DB.R AssemblyStats.R GRB.R WholeGenomeAlignment.R Ancora.R
         CNE-methods.R GO.R KEGG.R
 git_url: https://git.bioconductor.org/packages/CNEr
-git_branch: RELEASE_3_15
-git_last_commit: 1c92f3d
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
-Packaged: 2022-04-26 20:19:40 UTC; biocbuild
+git_branch: RELEASE_3_16
+git_last_commit: 878de98
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
+Packaged: 2022-11-01 21:12:09 UTC; biocbuild

=== debian/changelog ===
r-bioc-cner (1.34.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 18:17:14 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                r-bioc-go.db,
                r-cran-r.utils,
                r-bioc-keggrest
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-cner
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-cner.git
 Homepage: https://bioconductor.org/packages/CNEr/

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/CNEr.html .*/CNEr_(.*).tar.gz

## r-bioc-cner 1.36.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: CNEr
-Version: 1.34.0
+Version: 1.36.0
 Date: 2022-10-23
 Title: CNE Detection and Visualization
 Description: Large-scale identification and advanced visualization 
@@ -35,8 +35,8 @@
         DB.R AssemblyStats.R GRB.R WholeGenomeAlignment.R Ancora.R
         CNE-methods.R GO.R KEGG.R
 git_url: https://git.bioconductor.org/packages/CNEr
-git_branch: RELEASE_3_16
-git_last_commit: 878de98
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
-Packaged: 2022-11-01 21:12:09 UTC; biocbuild
+git_branch: RELEASE_3_17
+git_last_commit: 4f2feeb
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
+Packaged: 2023-04-25 20:39:41 UTC; biocbuild

=== debian/changelog ===
r-bioc-cner (1.36.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Add debian/tests/autopkgtest-r-pkg.conf

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jul 2023 06:25:53 +0200

## r-bioc-cner 1.38.0%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: CNEr
-Version: 1.36.0
+Version: 1.38.0
 Date: 2022-10-23
 Title: CNE Detection and Visualization
 Description: Large-scale identification and advanced visualization 
@@ -35,8 +35,8 @@
         DB.R AssemblyStats.R GRB.R WholeGenomeAlignment.R Ancora.R
         CNE-methods.R GO.R KEGG.R
 git_url: https://git.bioconductor.org/packages/CNEr
-git_branch: RELEASE_3_17
-git_last_commit: 4f2feeb
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
-Packaged: 2023-04-25 20:39:41 UTC; biocbuild
+git_branch: RELEASE_3_18
+git_last_commit: 50955a0
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
+Packaged: 2023-10-24 20:45:36 UTC; biocbuild

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                r-bioc-go.db,
                r-cran-r.utils,
                r-bioc-keggrest
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-cner
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-cner.git
 Homepage: https://bioconductor.org/packages/CNEr/

## r-bioc-cner 1.38.0+dfsg

=== debian/changelog ===
r-bioc-cner (1.38.0+dfsg-2) unstable; urgency=medium

  * Relax tolerance of one more test to fix test issues on armel, armhf and
    ppc64el

 -- Andreas Tille <tille@debian.org>  Sun, 17 Dec 2023 16:32:50 +0100

r-bioc-cner (1.38.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 20:00:15 +0100

r-bioc-cner (1.36.0+dfsg-3) unstable; urgency=medium

  * Really lower precision for some architectures in autopkgtest

 -- Andreas Tille <tille@debian.org>  Tue, 10 Oct 2023 16:10:56 +0200

r-bioc-cner (1.36.0+dfsg-2) unstable; urgency=medium

  * Drop test for armel, armhf and ppc64el
  * Lower precision to avoid failure on armel, armhf and ppc64el

 -- Andreas Tille <tille@debian.org>  Mon, 09 Oct 2023 13:59:01 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dh-r/r-cran.mk

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -name "*.Rmd" -executable -exec chmod -x \{\} \;

## r-bioc-cner 1.40.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Package: CNEr
-Version: 1.38.0
-Date: 2022-10-23
+Version: 1.40.0
+Date: 2024-04-23
 Title: CNE Detection and Visualization
 Description: Large-scale identification and advanced visualization 
              of sets of conserved noncoding elements.
 Author: Ge Tan <ge_tan@live.com>
 Maintainer: Ge Tan <ge_tan@live.com>
-Imports: Biostrings (>= 2.33.4), DBI (>= 0.7), RSQLite (>= 0.11.4),
-        GenomeInfoDb (>= 1.1.3), GenomicRanges (>= 1.23.16),
+Imports: Biostrings (>= 2.33.4), pwalign, DBI (>= 0.7), RSQLite (>=
+        0.11.4), GenomeInfoDb (>= 1.1.3), GenomicRanges (>= 1.23.16),
         rtracklayer (>= 1.25.5), XVector (>= 0.5.4), GenomicAlignments
         (>= 1.1.9), methods, S4Vectors (>= 0.13.13), IRanges (>=
         2.5.27), readr (>= 0.2.2), BiocGenerics, tools, parallel,
@@ -35,8 +35,9 @@
         DB.R AssemblyStats.R GRB.R WholeGenomeAlignment.R Ancora.R
         CNE-methods.R GO.R KEGG.R
 git_url: https://git.bioconductor.org/packages/CNEr
-git_branch: RELEASE_3_18
-git_last_commit: 50955a0
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
-Packaged: 2023-10-24 20:45:36 UTC; biocbuild
+git_branch: RELEASE_3_19
+git_last_commit: e967f84
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
+Packaged: 2024-05-01 03:10:19 UTC; biocbuild

=== debian/changelog ===
r-bioc-cner (1.40.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:00:54 +0200

r-bioc-cner (1.40.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Jul 2024 18:13:38 +0200

r-bioc-cner (1.40.0+dfsg-1~0exp) experimental; urgency=low

  * Team upload
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/control: new build-dep r-bioc-pwalign
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 14:39:10 +0200

=== debian/control ===
Source: r-bioc-cner
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biostrings (>= 2.72.1),
               r-bioc-pwalign (>= 1.0.0-2~0exp1),
               r-cran-dbi,
               r-cran-rsqlite,
               r-bioc-genomeinfodb (>= 1.40.1),
               r-bioc-genomicranges (>= 1.56.1),
               r-bioc-rtracklayer (>= 1.64.0),
               r-bioc-xvector (>= 0.44.0),
               r-bioc-genomicalignments (>= 1.40.0),
               r-bioc-s4vectors (>= 0.42.1),
               r-bioc-iranges (>= 2.38.1),
               r-cran-readr,
               r-bioc-biocgenerics (>= 0.50.0),
               r-cran-reshape2,
               r-cran-ggplot2,
               r-cran-powerlaw,
               r-bioc-annotate (>= 1.82.0),
               r-bioc-go.db (>= 3.19.1),
               r-cran-r.utils,
               r-bioc-keggrest (>= 1.44.1),
               architecture-is-64-bit
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-cner
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-cner.git
Homepage: https://bioconductor.org/packages/CNEr/
Rules-Requires-Root: no

Package: r-bioc-cner
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         r-bioc-biostrings (>= 2.72.1),
         r-bioc-pwalign (>= 1.0.0-2~0exp1),
         r-bioc-genomeinfodb (>= 1.40.1),
         r-bioc-genomicranges (>= 1.56.1),
         r-bioc-rtracklayer (>= 1.64.0),
         r-bioc-xvector (>= 0.44.0),
         r-bioc-genomicalignments (>= 1.40.0),
         r-bioc-s4vectors (>= 0.42.1),
         r-bioc-iranges (>= 2.38.1),
         r-bioc-biocgenerics (>= 0.50.0),
         r-bioc-annotate (>= 1.82.0),
         r-bioc-go.db (>= 3.19.1),
         r-bioc-keggrest (>= 1.44.1)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-gviz (>= 1.48.0),
          r-bioc-biocstyle (>= 2.32.1)
Description: CNE Detection and Visualization
 Large-scale identification and advanced visualization
 of sets of conserved noncoding elements.

## r-bioc-cner 1.42.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: CNEr
-Version: 1.40.0
+Version: 1.42.0
 Date: 2024-04-23
 Title: CNE Detection and Visualization
 Description: Large-scale identification and advanced visualization 
@@ -35,9 +35,9 @@
         DB.R AssemblyStats.R GRB.R WholeGenomeAlignment.R Ancora.R
         CNE-methods.R GO.R KEGG.R
 git_url: https://git.bioconductor.org/packages/CNEr
-git_branch: RELEASE_3_19
-git_last_commit: e967f84
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
-Packaged: 2024-05-01 03:10:19 UTC; biocbuild
+git_branch: RELEASE_3_20
+git_last_commit: d83a1b6
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
+Packaged: 2024-10-30 00:05:06 UTC; biocbuild

=== debian/changelog ===
r-bioc-cner (1.42.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Avoid pointer type mismatch FTBFS. (Closes: #1103198)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 23 Apr 2025 19:15:22 +0100

r-bioc-cner (1.42.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 20:58:15 +0100

r-bioc-cner (1.42.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 29 Nov 2024 12:50:25 +0100

=== debian/control ===
Source: r-bioc-cner
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biostrings,
               r-bioc-pwalign,
               r-cran-dbi,
               r-cran-rsqlite,
               r-bioc-genomeinfodb,
               r-bioc-genomicranges,
               r-bioc-rtracklayer,
               r-bioc-xvector,
               r-bioc-genomicalignments,
               r-bioc-s4vectors,
               r-bioc-iranges,
               r-cran-readr,
               r-bioc-biocgenerics,
               r-cran-reshape2,
               r-cran-ggplot2,
               r-cran-powerlaw,
               r-bioc-annotate,
               r-bioc-go.db,
               r-cran-r.utils,
               r-bioc-keggrest,
               architecture-is-64-bit
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-cner
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-cner.git
Homepage: https://bioconductor.org/packages/CNEr/
Rules-Requires-Root: no

Package: r-bioc-cner
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: CNE Detection and Visualization
 Large-scale identification and advanced visualization
 of sets of conserved noncoding elements.
